import { AppModel } from '../../../AppModel/AppModel';
import { ComponentId, SlotName } from '../../../AppModel/IAppModel';
import { BaseLeafOperation } from '../../type';
export declare type CreateComponentLeafOperationContext = {
    componentType: string;
    componentId: string;
    parentId?: ComponentId;
    slot?: SlotName;
};
export declare class CreateComponentLeafOperation extends BaseLeafOperation<CreateComponentLeafOperationContext> {
    private component;
    do(prev: AppModel): AppModel;
    redo(prev: AppModel): AppModel;
    undo(prev: AppModel): AppModel;
}
